Severity: normal Found in Version:

Description

implement a taxon name parts lookup method in the dao and service layer with support for wildcard searches.

If a name part passed to the method contains the asterisk character (™) it will be translated into '%' the related field is search with a
LIKE clause.

Reuse functionality already implemeneted in TaxonNameDaoHibernatelmpl.searchNames(String genusOrUninomial,String
infraGenericEpithet, String specificEpithet, String infraSpecificEpithet, Rank rank, Integer pageSize,Integer pageNumber,
List<OrderHint> orderHints) by allowing to replace the select part of the hgl query.

Related issues:
Blocks EDIT - task #7338: Validate taxon name against the higher taxon name Closed

Associated revisions

Revision 9fc2a8a0 - 06/13/2018 06:06 PM - Andreas Kohlbecker

fix #7467 taxon name parts lookup method with support for wildcard searches, TaxonNameParts and filter

History

#1 - 06/11/2018 04:08 PM - Andreas Kohlbecker
- Subject changed from searchNames by name parts supports wildcards to taxon name parts lookup method with support for wildcard searches

- Description updated

After discussing this with Andreas Muller we decided to create another more dedicated lookup method which won't load the full TaxonName instances
but uses a dedicated DTO class instead as return value.

... changing the issue subject and description accordingly ...

#2 - 06/13/2018 06:06 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|9fc2a8a0de9a103ea0dbb1e9391000753b744ae2.

#3 - 06/13/2018 06:07 PM - Andreas Kohlbecker

- Blocks task #7338: Validate taxon name against the higher taxon name added

#4 - 06/13/2018 06:08 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
